/*
 * zoom2wav
 * ZOOM .aud or .zaf to WAV file converter for Zoom PS-02, PS-04, or MRS-8
 *
 * Copyright (C) 2003-2005 Dwight Engen (dengen40@yahoo.com)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * The deltas table is from aud2wav originally
 * Copyrighted under the LGPL by Randy Gordon (randy@integrand.com) 
 */

#include <stdio.h>
#include <stdint.h>
#include <string.h>
#include <stdlib.h>
#include <libzoom.h>

void callback(int percent)
{
    printf("Complete: %d%%\r", percent);
    fflush(stdout);
}

int
main(int argc, char *argv[]) 
{
    int	i;
    int input_files = 0;
    FILE *in[2];
    FILE *out;

    if (argc < 3 || argc > 4)
    {
	puts("Usage: zoom2wav <[.aud|.zaf] file> [[.aud|.zaf] file] <wav file>");
	puts("Example: zoom2wav 00-00.aud leadvocal.wav");
	puts("Example: zoom2wav 00-00.aud 00-01.aud stereo.wav");
	puts("Example: zoom2wav track0_0.zaf guitarsolo.wav");
	puts("Example: zoom2wav track0_0.zaf track0_1.zaf stereo.wav");
	return 1;
    } 


    for(i = 1; i < argc - 1; i++)
    {
	if ((in[i-1] = fopen(argv[i], "rb")) == NULL)
	{
	    printf("Unable to open input file '%s'\n", argv[i]);
	    return 1;
	}
	input_files++;
    }

    if ((out = fopen(argv[i], "wb")) == NULL)
    {
	printf("Unable to open output file '%s'\n", argv[i]);
	return 1;
    }

    auds2wav(in, out, input_files, callback);
    printf("\n");
    return 0;
}
