/*
 * PS02 - Manage the Songs.pts file from a Zoom PS-02.
 *
 * Copyright (C) 2003-2004 Dwight Engen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: $
 */

#ifndef _PS02_H
#define _PS02_H

#include <gtk/gtk.h>
#define PROGRAM "PS02 Manager"
#define VERSION "v1.00"

gint	on_quit				(GtkMenuItem *, gpointer);
void	on_open				(GtkMenuItem *, gpointer);
void	on_save				(GtkMenuItem *, gpointer);
void	on_save_as			(GtkMenuItem *, gpointer);
void	on_close			(GtkMenuItem *, gpointer);
void	on_about			(GtkMenuItem *, gpointer);

void	on_repeat_changed		(GtkWidget *, gpointer);
void	on_songname_changed		(GtkWidget *, gpointer);
void	on_tempo_changed		(GtkWidget *, gpointer);
void	on_song_up			(GtkWidget *, gpointer);
void	on_song_down			(GtkWidget *, gpointer);
void	on_song_copy			(GtkWidget *, gpointer);
void	on_song_paste			(GtkWidget *, gpointer);
void	on_song_import			(GtkWidget *, gpointer);
void	on_song_export			(GtkWidget *, gpointer);
void	on_song_export_ps04		(GtkWidget *, gpointer);
void	on_patch_up			(GtkWidget *, gpointer);
void	on_patch_down			(GtkWidget *, gpointer);
void	on_patch_copy			(GtkWidget *, gpointer);
void	on_patch_paste			(GtkWidget *, gpointer);
void	on_patch_import			(GtkWidget *, gpointer);
void	on_patch_export			(GtkWidget *, gpointer);
void	on_measure_copy			(GtkWidget *, gpointer);
void	on_measure_paste		(GtkWidget *, gpointer);
void	on_measure_delete		(GtkWidget *, gpointer);

GtkWidget* create_MainWindow (void);

GtkWidget*  lookup_widget              (GtkWidget       *widget,
                                        const gchar     *widget_name);


/* Use this function to set the directory containing installed pixmaps. */
void        add_pixmap_directory       (const gchar     *directory);


/*
 * Private Functions.
 */

/* This is used to create the pixmaps used in the interface. */
GtkWidget*  create_pixmap              (GtkWidget       *widget,
                                        const gchar     *filename);

/* This is used to create the pixbufs used in the interface. */
GdkPixbuf*  create_pixbuf              (const gchar     *filename);

/* This is used to set ATK action descriptions. */
void        glade_set_atk_action_description (AtkAction       *action,
                                              const gchar     *action_name,
                                              const gchar     *description);

#endif /* _PS02_H */

void
on_patternname_changed                 (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_beats_changed                       (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_bars_changed                        (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_pattern_copy                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_pattern_paste                       (GtkButton       *button,
                                        gpointer         user_data);

void
on_pattern_import                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_pattern_export                      (GtkButton       *button,
                                        gpointer         user_data);
